body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol {
  margin: 0;
  padding: 0;
  text-align: center;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f2f2f2;
}

header {
  background-color: #0f5751;
  color: white;
  text-align: center;
  padding: 15px;
}

.logo img {
  width: 200px;
}

main {
  flex: 1;
}

.whatsapp-logo {
  display: block;
  position: fixed;
  width: 60px;
  height: auto;
  bottom: 10rem;
  right: 10px;
  z-index: 2;
}

/* Hero */
.hero {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 50vh;
  border-radius: 0 0 5px 5px;
  color: white;
  overflow: hidden;
}

.hero h1 {
  font-size: 3rem;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.6);
  animation: fadeInScale 2s ease-out;
  padding: 2rem;
}

@keyframes fadeInScale {
  0% {
    opacity: 0;
    transform: scale(0.8);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

/* About Us Section */
.hero h1 {
  font-size: 2.5rem;
  text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.7);
}

.about-us {
  text-align: center;
}

.about-us h2 {
  font-size: 2.5rem;
  margin-bottom: 10px;
  position: relative;
  display: inline-block;
}

.about-us h2:after {
  content: "";
  position: absolute;
  bottom: -5px;
  left: 50%;
  transform: translateX(-50%);
  width: 50px;
  height: 3px;
  background-color: #008080;
}

.company-overview {
  padding: 60px 20px;
  background-color: #f4f4f4;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.company-overview h2 {
  font-size: 2.5rem;
  color: #333;
  margin-bottom: 20px;
  position: relative;
  display: inline-block;
}

.company-overview h2:after {
  content: "";
  position: absolute;
  bottom: -10px;
  left: 50%;
  transform: translateX(-50%);
  width: 80px;
  height: 3px;
  background-color: #008080;
}

.company-overview p {
  font-size: 1.2rem;
  color: #666;
  line-height: 1.8;
  margin: 0;
}

.overview-content {
  max-width: 800px;
  margin: 0 auto;
}

.overview-image img {
  max-width: 100%;
  height: auto;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

/* Responsive Styles */
@media (max-width: 768px) {
  .hero h1 {
    font-size: 25px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.6);
    animation: fadeInScale 2s ease-out;
  }
  .company-overview h2 {
    font-size: 2rem;
  }

  .company-overview p {
    font-size: 1rem;
  }
}

.overview-image img {
  max-width: 100%;
  height: auto;
  border-radius: 10px;
}

/* Team Section */
.team-section {
  padding: 2rem 0;
}

.team-section h2 {
  color: teal;
  text-align: center;
  margin-bottom: 2rem;
}

.team-cards {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.team-card {
  background: white;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin: 1rem;
  padding: 1rem;
  text-align: center;
  flex: 1 1 calc(25% - 2rem);
  max-width: calc(25% - 2rem);
}
.team-card img {
  width: 100%;
  height: auto;
  border-radius: 10px;
  object-fit: cover;
  margin-bottom: 1rem;
}

.team-card h3 {
  color: teal;
  margin: 1rem 0 0.5rem;
}

.team-card p {
  color: #777;
}

/* FAQ Section */
.faq-section {
  padding: 20px;
  background-color: #f9f9f9;
}

.faq-section h2 {
  text-align: center;
  font-size: 2em;
  color: teal;
  margin-bottom: 20px;
}

.accordion {
  max-width: 800px;
  margin: 0 auto;
}

.accordion-item {
  margin-bottom: 10px;
  border: 1px solid teal;
  border-radius: 8px;
  overflow: hidden;
}

.accordion-button {
  background-color: white;
  border: none;
  width: 100%;
  padding: 15px;
  text-align: left;
  font-size: 1.2em;
  color: #333;
  cursor: pointer;
  position: relative;
  transition: background-color 0.3s, color 0.3s;
}

.accordion-button:focus {
  outline: none;
}

.accordion-button:hover {
  background-color: rgb(10, 70, 62);
  color: white;
}

.accordion-content {
  max-height: 0;
  overflow: hidden;
  padding: 0 15px;
  background-color: #f0f0f0;
  transition: max-height 0.4s ease-out, padding 0.4s ease-out;
}

.accordion-content p {
  margin: 15px 0;
  font-size: 1em;
  line-height: 1.6;
}

.accordion-item.active .accordion-content {
  max-height: 500px;
  padding: 15px;
}

/* Button Style */
.services-btn {
  background-color: teal;
  color: white;
  padding: 0.75rem 1.5rem;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.services-btn:hover {
  background-color: darkcyan;
}

.animated-button {
  position: relative;
  left: 18em;
  display: inline-flex;
  align-items: center;
  padding: 10px 20px;
  background-color: transparent;
  border: 2px solid teal;
  border-radius: 8px;
  color: teal;
  cursor: pointer;
  overflow: hidden;
}

.animated-button svg {
  position: absolute;
  width: 20px;
  fill: teal;
  z-index: 1;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .arr-1 {
  left: 12px;
  transform: rotate(180deg);
}

.animated-button .arr-2 {
  right: -20%;
  transform: rotate(180deg);
  opacity: 0;
}

.animated-button .circle {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 12px;
  height: 12px;
  background-color: teal;
  border-radius: 50%;
  opacity: 0;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .text {
  position: relative;
  z-index: 2;
  margin: 0 20px;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button:hover {
  box-shadow: 0 0 0 8px transparent;
  color: #ffffff;
  border-radius: 8px;
}

.animated-button:hover .arr-1 {
  left: -20%;
}

.animated-button:hover .arr-2 {
  right: 12px;
  opacity: 1;
}

.animated-button:hover .text {
  transform: translateX(-8px);
}

.animated-button:hover svg {
  fill: #ffffff;
}

.animated-button:active {
  transform: scale(0.95);
  box-shadow: 0 0 0 4px teal;
}

.animated-button:hover .circle {
  width: 320px;
  height: 200px;
  opacity: 1;
}

.why-vibrancy {
  background-color: #f9f9f9;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  margin: 20px auto;
  max-width: 800px;
}

.why-vibrancy h3 {
  color: teal;
  font-size: 24px;
  margin-bottom: 15px;
  border-bottom: 2px solid teal;
  padding-bottom: 5px;
  display: inline-block;
}

.why-vibrancy ul {
  list-style-type: none;
  padding: 0;
}

.why-vibrancy li {
  font-size: 16px;
  line-height: 1.6;
  margin-bottom: 10px;
}

.why-vibrancy li strong {
  color: #212121;
  display: block;
}

#scrollToTopBtn {
  position: fixed;
  bottom: 100px;
  right: 20px;
  width: 40px;
  height: 40px;
  background-color: #ffffff;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  display: none;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.025);
  z-index: 1000;
  transition: opacity 0.4s ease;
}

#scrollToTopBtn.show {
  display: flex;
  opacity: 1;
}

#scrollToTopBtn:hover {
  background-color: #fdfdfd;
}

/* Responsive Styles */
@media (max-width: 768px) {
  .company-overview {
    flex-direction: column;
  }

  .team-card {
    flex: 1 1 100%;
    max-width: 100%;
  }
  .animated-button {
    left: 0;
  }
}

/* General Footer Styling */
.footer-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 30px;
  background-color: #f8f8f8;
  text-align: center;
}

.footer-container > div {
  margin: 15px 0;
}

/*Socials toolkit*/
ul {
  list-style: none;
}

.socials {
  display: flex;
  justify-content: center;
  align-items: center;
}
.socials .icon-content {
  margin: 0 10px;
  position: relative;
}
.socials .icon-content .tooltip {
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  color: #fff;
  padding: 6px 10px;
  border-radius: 5px;
  opacity: 0;
  visibility: hidden;
  font-size: 14px;
  transition: all 0.3s ease;
}
.socials .icon-content:hover .tooltip {
  opacity: 1;
  visibility: visible;
  top: -50px;
}
.socials .icon-content a {
  position: relative;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  color: #4d4d4d;
  background-color: #fff;
  transition: all 0.3s ease-in-out;
}
.socials .icon-content a:hover {
  box-shadow: 3px 2px 45px 0px rgb(0 0 0 / 12%);
}
.socials .icon-content a svg {
  position: relative;
  z-index: 1;
  width: 30px;
  height: 30px;
}
.socials .icon-content a:hover {
  color: white;
}
.socials .icon-content a .filled {
  position: absolute;
  top: auto;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0;
  background-color: #000;
  transition: all 0.3s ease-in-out;
}
.socials .icon-content a:hover .filled {
  height: 100%;
}

.socialssocials .icon-content a[data-social="linkedin"] .filled,
.socials .icon-content a[data-social="linkedin"] ~ .tooltip {
  background-color: #0274b3;
}

.socials .icon-content a[data-social="github"] .filled,
.socials .icon-content a[data-social="github"] ~ .tooltip {
  background-color: #24262a;
}
.socials .icon-content a[data-social="instagram"] .filled,
.socials .icon-content a[data-social="instagram"] ~ .tooltip {
  background: linear-gradient(
    45deg,
    #405de6,
    #5b51db,
    #b33ab4,
    #c135b4,
    #e1306c,
    #fd1f1f
  );
}
.socials .icon-content a[data-social="youtube"] .filled,
.socials .icon-content a[data-social="youtube"] ~ .tooltip {
  background-color: #ff0000;
}
/* Existing styles */
.socials .icon-content a[data-social="tiktok"] .filled,
.socials .icon-content a[data-social="tiktok"] ~ .tooltip {
  background-color: #000;
}

.socials .icon-content a[data-social="tiktok"] .filled {
  background: linear-gradient(45deg, #000000, #000000);
}

.socials .icon-content a[data-social="tiktok"] .tooltip {
  background: #000;
}

/* Contact Information and Business Hours */
.contact-info,
.business-hours {
  max-width: 300px;
}

.contact-and-bhrs {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 45px;
}

@media (max-width: 768px) {
  .contact-and-bhrs {
    flex-direction: column;
  }
}

.footer-container h4 {
  color: #004d40;
  margin-bottom: 10px;
}

/* Links Styling */
.footer-container a {
  color: #0f5751;
  text-decoration: none;
  transition: color 0.3s;
}

.footer-container a:hover {
  color: #00796b;
}

.footer-bottom {
  text-align: center;
  padding-top: 10px;
  border-top: 1px solid #ddd;
  font-size: 0.9rem;
  color: #000000;
}
